Bug 213373 - devel/tbb: Add pkgconf file
Summary: devel/tbb: Add pkgconf file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-11 10:34 UTC by rozhuk.im
Modified: 2016-10-14 21:18 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (martymac)
rozhuk.im: merge-quarterly?


Attachments
add libdata/pkgconfig/tbb.pc (1.51 KB, patch)
2016-10-11 10:34 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2016-10-11 10:34:48 UTC
Created attachment 175615 [details]
add libdata/pkgconfig/tbb.pc

Add libdata/pkgconfig/tbb.pc after install.
Comment 1 Antoine Brodin freebsd_committer 2016-10-11 14:07:38 UTC
We don't do exp-run for ports that only 3 or 4 other ports depend upon.
Comment 2 commit-hook freebsd_committer 2016-10-13 19:49:58 UTC
A commit references this bug:

Author: martymac
Date: Thu Oct 13 19:49:03 UTC 2016
New revision: 423934
URL: https://svnweb.freebsd.org/changeset/ports/423934

Log:
  - Add pkgconfig file [1]
  - Do not use absolute paths for shlibs links

  PR:		213373 [1]
  Submitted by:	rozhuk.im@gmail.com [1]
  MFH:		2016Q4

Changes:
  head/devel/tbb/Makefile
  head/devel/tbb/files/tbb.pc.in
  head/devel/tbb/pkg-plist
Comment 3 Ganael LAPLANCHE freebsd_committer 2016-10-13 19:51:39 UTC
Committed with a few changes, thanks!
Comment 4 commit-hook freebsd_committer 2016-10-14 21:18:58 UTC
A commit references this bug:

Author: martymac
Date: Fri Oct 14 21:18:04 UTC 2016
New revision: 423994
URL: https://svnweb.freebsd.org/changeset/ports/423994

Log:
  MFH: r423934

  - Add pkgconfig file [1]
  - Do not use absolute paths for shlibs links

  PR:		213373 [1]
  Submitted by:	rozhuk.im@gmail.com [1]

  Approved by:	ports-secteam

Changes:
_U  branches/2016Q4/
  branches/2016Q4/devel/tbb/Makefile
  branches/2016Q4/devel/tbb/files/tbb.pc.in
  branches/2016Q4/devel/tbb/pkg-plist